Subject: Re: bug#32002: 24.4; Scroll bar start, end not correct

From: Andrew Kurn <[email-masked]>
Date: Tue, 3 Jul 2018 05:58:59 -0700

On Mon  2 Jul 2018 14:16 -0400, Glenn Morris wrote:
> 
> >> I guess it's GTK-specific, then.  Something related to scaling,
> >> perhaps?
> [...]
> > If so, perhaps you can advise me how to turn it off.  Usually
> > the Emacs community is good enough to provide a way of
> > disabling such features.
> 
> You can try building Emacs using --without-toolkit-scroll-bars.
> (Despite the misleading --help text, this also affects GTK builds.)
> Otherwise I imagine Emacs has no way to customize how GTK scroll bars work.

> PS or you can try a different toolkit altogether, eg "apt install emacs24-lucid".

Um.

Just to be clear:  You guys can't reproduce the bug?

The fact that pulling the scroll bar down to the bottom
of the screen just clears the screen tells me that the
scroll bar is being calculated as if the total buffer
were the text /plus/ a screen-full of blank lines.

/That/ speaks to me of bad data being passed to GTK,
not a bug in GTK.

It seems related, also, to the fact that the percentage
calculated for the mode line is calculated using the
/first/ character on the screen, not the middle --
which would be a more intuitive number. . . .

So I would look where that number is calculated, not at
GTK . . .

. . . in my humble opinion.

Perhaps I should start another bug on this second issue,
but it does seem to me that the two problems are intimately
related.

Andrew